From 8d740a34a626842ec9e89a0289c5a35f3847ad48 Mon Sep 17 00:00:00 2001
From: root <root@pgvm.rlsumirojk0etd4qpjbaa2afce.tx.internal.cloudapp.net>
Date: Thu, 13 Apr 2023 18:46:55 +0000
Subject: [PATCH] Fix documentation for max_wal_size and min_wal_size default
 size

---
 doc/src/sgml/config.sgml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index f81c2045ec..9f2b9b5580 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -3589,7 +3589,7 @@ include_dir 'conf.d'
         heavy load, a failing <varname>archive_command</varname> or <varname>archive_library</varname>, or a high
         <varname>wal_keep_size</varname> setting.
         If this value is specified without units, it is taken as megabytes.
-        The default is 1 GB.
+        The default value is configured to maximum of 64 times the <varname>wal_segment_size</varname> or 1 GB.
         Increasing this parameter can increase the amount of time needed for
         crash recovery.
         This parameter can only be set in the <filename>postgresql.conf</filename>
@@ -3612,7 +3612,7 @@ include_dir 'conf.d'
         handle spikes in WAL usage, for example when running large batch
         jobs.
         If this value is specified without units, it is taken as megabytes.
-        The default is 80 MB.
+        The default value is configured to maximum of 5 times the <varname>wal_segment_size</varname> or 80 MB.
         This parameter can only be set in the <filename>postgresql.conf</filename>
         file or on the server command line.
        </para>
-- 
2.25.1

